#if !defined(AFX_ST_CBTN_H__CD30726F_8441_11D1_8E53_9E80D52A2535__INCLUDED_)
#define AFX_ST_CBTN_H__CD30726F_8441_11D1_8E53_9E80D52A2535__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// ST_CBtn.h : header file
//

#define icnEXPLORE    0
#define icnEXPLOREcx  16
#define icnEXPLOREcy  16

#define icnOK         1
#define icnOKcx       20  
#define icnOKcy       17

#define icnEXIT       2
#define icnEXITcx     16
#define icnEXITcy     16

#define icnSCREW      3
#define icnSCREWcx    20
#define icnSCREWcy    20

#define icnTEXT       4
#define icnTEXTcx     13
#define icnTEXTcy     16

#define icnCANCELBOR   5
#define icnCANCELBORcx 20
#define icnCANCELBORcy 23

#define icnOKBOR      6
#define icnOKBORcx    23
#define icnOKBORcy    23

#define icnLEFT       7
#define icnLEFTcx     30
#define icnLEFTcy     20

#define icnRIGHT      8
#define icnRIGHTcx    30
#define icnRIGHTcy    20

#define icnCANCEL     9
#define icnCANCELcx   15
#define icnCANCELcy   17

#define icnQUESTION   10
#define icnQUESTIONcx 10     
#define icnQUESTIONcy 18

#define icnVIEW       11
#define icnVIEWcx     16
#define icnVIEWcy     15

#define icnINFO       12
#define icnINFOcx     18
#define icnINFOcy     18

/////////////////////////////////////////////////////////////////////////////
// ST_CButton window

#define ST_FLAT_BUTTONS // Comment this for standard buttons

class ST_CButton : public CButton
{
// Construction
public:
	ST_CButton();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ST_CButton)
	//}}AFX_VIRTUAL

// Implementation
public:
	const short GetVersionI();
	const char* GetVersionC();
	BOOL SubclassDlgItem( UINT nID, CWnd* pParent );
	void SetIcon(HICON hIcon, BYTE cx, BYTE cy);

	// Generated message map functions
protected:
#ifdef ST_FLAT_BUTTONS
	void OnKillFocus( CWnd* pNewWnd );
	void OnMouseMove(UINT nFlags, CPoint point);
#endif

	virtual void DrawItem( LPDRAWITEMSTRUCT lpDIS);
	//{{AFX_MSG(ST_CButton)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
#ifdef ST_FLAT_BUTTONS
	BOOL m_MouseOnButton;
#endif

	HICON m_hIcon;
	BYTE m_cyIcon;
	BYTE m_cxIcon;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ST_CBTN_H__CD30726F_8441_11D1_8E53_9E80D52A2535__INCLUDED_)
