// ST_CButtonDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ST_CButton.h"
#include "ST_CButtonDlg.h"
#include "ST_CBtn.h"	// Added by ClassView
#include "HyperLink.h"	// Added by ClassView

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CImageList* m_pImageList;
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CHyperLink m_HomePageLink;
	CHyperLink m_EMailLink;
	ST_CButton btnOk;
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
	DDX_Control(pDX, IDC_EMAILLINK, m_EMailLink);
	DDX_Control(pDX, IDC_HOMEPAGELINK, m_HomePageLink);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CST_CButtonDlg dialog

CST_CButtonDlg::CST_CButtonDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CST_CButtonDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CST_CButtonDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CST_CButtonDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CST_CButtonDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CST_CButtonDlg, CDialog)
	//{{AFX_MSG_MAP(CST_CButtonDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_ABOUTCLASS, OnAboutclass)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CST_CButtonDlg message handlers

BOOL CST_CButtonDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

  // Make icon list
  m_pImageList = new CImageList;
  m_pImageList->Create(IDB_BUTTONS, 32, 1, RGB(128, 0, 128));

  // Create IDC_SETUP button
  btnSetup.SubclassDlgItem(IDC_SETUP, this);
  btnSetup.SetIcon(m_pImageList->ExtractIcon(icnSCREW), icnSCREWcx, icnSCREWcy);

  // Create IDC_CONFIRM button
  btnConfirm.SubclassDlgItem(IDC_CONFIRM, this);
  btnConfirm.SetIcon(m_pImageList->ExtractIcon(icnOK), icnOKcx, icnOKcy);

  // Create IDOK button
  btnOk.SubclassDlgItem(IDOK, this);
  btnOk.SetIcon(m_pImageList->ExtractIcon(icnEXIT), icnEXITcx, icnEXITcy);

  // Create IDC_EXPLORE button
  btnExplorer.SubclassDlgItem(IDC_EXPLORE, this);
  btnExplorer.SetIcon(m_pImageList->ExtractIcon(icnEXPLORE), icnEXPLOREcx, icnEXPLOREcy);

  // Create IDC_TEXT button
  btnText.SubclassDlgItem(IDC_TEXT, this);
  btnText.SetIcon(m_pImageList->ExtractIcon(icnTEXT), icnTEXTcx, icnTEXTcy);

  // Create IDC_OKBOR button
  btnOkBor.SubclassDlgItem(IDC_OKBOR, this);
  btnOkBor.SetIcon(m_pImageList->ExtractIcon(icnOKBOR), icnOKBORcx, icnOKBORcy);

  // Create IDC_CANCELBOR button
  btnCancelBor.SubclassDlgItem(IDC_CANCELBOR, this);
  btnCancelBor.SetIcon(m_pImageList->ExtractIcon(icnCANCELBOR), icnCANCELBORcx, icnCANCELBORcy);

  // Create IDC_LEFT button
  btnLeft.SubclassDlgItem(IDC_LEFT, this);
  btnLeft.SetIcon(m_pImageList->ExtractIcon(icnLEFT), icnLEFTcx, icnLEFTcy);

  // Create IDC_RIGHT button
  btnRight.SubclassDlgItem(IDC_RIGHT, this);
  btnRight.SetIcon(m_pImageList->ExtractIcon(icnRIGHT), icnRIGHTcx, icnRIGHTcy);

  // Create IDC_ABORT button
  btnAbort.SubclassDlgItem(IDC_ABORT, this);
  btnAbort.SetIcon(m_pImageList->ExtractIcon(icnCANCEL), icnCANCELcx, icnCANCELcy);

  // Create IDC_QUESTION button
  btnHelp.SubclassDlgItem(IDC_QUESTION, this);
  btnHelp.SetIcon(m_pImageList->ExtractIcon(icnQUESTION), icnQUESTIONcx, icnQUESTIONcy);

  // Create IDC_ABOUTCLASS button
  btnAbout.SubclassDlgItem(IDC_ABOUTCLASS, this);
  btnAbout.SetIcon(m_pImageList->ExtractIcon(icnINFO), icnINFOcx, icnINFOcy);

  // Create IDC_VIEW button
  btnView.SubclassDlgItem(IDC_VIEW, this);
  btnView.SetIcon(m_pImageList->ExtractIcon(icnVIEW), icnVIEWcx, icnVIEWcy);

  // Write class version
  CString sVersion;
  CStatic* stcVersion = (CStatic*)GetDlgItem(IDC_VERSION);
  sVersion.Format("ST_CButton v%s", btnRight.GetVersionC());
  stcVersion->SetWindowText(sVersion);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CST_CButtonDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CST_CButtonDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}


CST_CButtonDlg::~CST_CButtonDlg()
{
  delete m_pImageList;
}





BOOL CAboutDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
  // Create IDOK button
  btnOk.SubclassDlgItem(IDOK, this);
  btnOk.SetIcon(m_pImageList->ExtractIcon(icnOK), icnOKcx, icnOKcy);

  // Set HyperLink for E-Mail
  m_EMailLink.SetURL(_T("mailto:davide_calabro@yahoo.com"));
  m_EMailLink.SetUnderline(TRUE);

  // Set HyperLink for Home Page
  m_HomePageLink.SetURL(_T("http://members.tripod.com/~SoftechSoftware/index.html"));
  m_HomePageLink.SetUnderline(TRUE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CST_CButtonDlg::OnAboutclass() 
{
  CAboutDlg dlgAbout;
  dlgAbout.m_pImageList = m_pImageList;
  dlgAbout.DoModal();
}
